<?php
error_reporting(E_ALL);

require_once 'includes/functions.php';

require_once 'header.php';


	try {
		$formImporter = new Form();
	}catch (Exception $exception){
		print '<div class="alert colorError borderError m-t-25" role="alert">'.$exception.'</div>';
	}

	if(isset($_POST['saveJson'])){

		if ($_FILES['uploadedfile']['error'] == UPLOAD_ERR_OK && is_uploaded_file($_FILES['jsonFile']['tmp_name'])) {
			$jsonObject = json_decode(file_get_contents($_FILES['jsonFile']['tmp_name']));

			if($jsonObject == null){
				print '<div class="alert colorError borderError m-t-25" role="alert">Whoops! Looks like JSON file is broken</div>';
			}else{

				try {
					if ( $formImporter->createForm( $jsonObject ) ) {
						print '<script language="JavaScript">window.location="index.php?created=1";</script>';
					}
				} catch ( PDOException $e ) {
					print '<div class="alert colorError borderError m-t-25" role="alert">' . $e->getMessage() . '</div>';
				}
			}


		}

	}


    if($_GET['created'] == 1){
        print '<div class="alert colorSuccess borderSuccess m-t-25" role="alert">Form is saved</div>';
    }

	$formList = $formImporter->getFormList();
?>
	<h1 class="colorSuccess m-t-25">Form management</h1>
	<form method="post" action="?" enctype="multipart/form-data">
		<div class="row">
			<div class="col-sm-5">
				<div class="form-control">
					<input type="file" name="jsonFile">
				</div>
			</div>
			<div class="col-sm-3">
				<input type="submit" name="saveJson" value="Save json" class="btn btn-primary full-width">
			</div>
		</div>
	</form>

	<h1 class="colorSuccess m-t-25">List of forms</h1>
	<div class="row">
		<div class="col-sm-3">Form name</div>
		<div class="col-sm-3">Created date</div>
		<div class="col-sm-3">Number of records</div>
		<div class="col-sm-3"></div>
	</div>
		<?php
			if(count($formList)==0){
				?>
				<div class="col-sm-12">
					<div class="alert colorInfo borderInfo m-t-25" role="alert">No form records found</div>
				</div>
				<?php
			}else{
				foreach ($formList as $form){
					print '<div class="row m-t-10">';
						print '<div class="col-sm-3">'.$form['form_name'].'</div>';
						print '<div class="col-sm-3">'.strftime('%d.%m.%Y',$form['form_created']).'</div>';
						print '<div class="col-sm-3">'.$form['totalRecords'].'</div>';
						print '<div class="col-sm-3"><a href="form.php?form_id='.$form['form_id'].'" class="btn btn-primary">View form</a></div>';
					print '</div>';
				}
			}
		?>
	
<?php
require_once 'footer.php';